<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Sound Manager: R:/SoundManagerBinding/src/sm-helper.c Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Sound Manager
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('sm-helper_8c_source.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle">
<div class="title">sm-helper.c</div>  </div>
</div><!--header-->
<div class="contents">
<a href="sm-helper_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div><div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment"> * Copyright (c) 2017 TOYOTA MOTOR CORPORATION</span></div><div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"> * Licensed under the Apache License, Version 2.0 (the &quot;License&quot;);</span></div><div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment"> * you may not use this file except in compliance with the License.</span></div><div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment"> * You may obtain a copy of the License at</span></div><div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"> *      http://www.apache.org/licenses/LICENSE-2.0</span></div><div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment"> *</span></div><div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment"> * Unless required by applicable law or agreed to in writing, software</span></div><div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment"> * distributed under the License is distributed on an &quot;AS IS&quot; BASIS,</span></div><div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"> * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.</span></div><div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment"> * See the License for the specific language governing permissions and</span></div><div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment"> * limitations under the License.</span></div><div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment"> */</span></div><div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;</div><div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="sm-helper_8h.html">sm-helper.h</a>&quot;</span></div><div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="preprocessor">#include &lt;stdlib.h&gt;</span></div><div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="preprocessor">#include &lt;string.h&gt;</span></div><div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="preprocessor">#include &lt;limits.h&gt;</span></div><div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160;<span class="preprocessor">#include &lt;json-c/json.h&gt;</span></div><div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#include &lt;stdarg.h&gt;</span></div><div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;</div><div class="line"><a name="l00024"></a><span class="lineno"><a class="line" href="sm-helper_8h.html#a649900645417f2df3a70b9ad67529f53">   24</a></span>&#160;<a class="code" href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899">REQ_ERROR</a> <a class="code" href="sm-helper_8c.html#a649900645417f2df3a70b9ad67529f53">get_value_uint16</a>(<span class="keyword">const</span> <span class="keyword">struct</span> afb_req request, <span class="keyword">const</span> <span class="keywordtype">char</span> *source, uint16_t *out_id)</div><div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;{</div><div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;    <span class="keywordtype">char</span>* endptr;</div><div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160;    <span class="keyword">const</span> <span class="keywordtype">char</span>* tmp = afb_req_value (request, source);</div><div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;    <span class="keywordflow">if</span>(!tmp)</div><div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;    {</div><div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899a96a855966bc63045222b3dcac524cee1">REQ_FAIL</a>;</div><div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    }</div><div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;    <span class="keywordtype">long</span> tmp_id = strtol(tmp,&amp;endptr,10);</div><div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160;</div><div class="line"><a name="l00034"></a><span class="lineno">   34</span>&#160;    <span class="comment">/* error check of range */</span></div><div class="line"><a name="l00035"></a><span class="lineno">   35</span>&#160;    <span class="keywordflow">if</span>( (tmp_id &gt; UINT16_MAX) || (tmp_id &lt; 0) )</div><div class="line"><a name="l00036"></a><span class="lineno">   36</span>&#160;    {</div><div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899add1c84bf80c5f80741ee8f37fef1e12b">OUT_RANGE</a>;</div><div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;    }</div><div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    <span class="keywordflow">if</span>(*endptr != <span class="charliteral">&#39;\0&#39;</span>)</div><div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    {</div><div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899aa223eed65c9bee2bf1f4cdecaf90d66a">NOT_NUMBER</a>;</div><div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    }</div><div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;</div><div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;    *out_id = (uint16_t)tmp_id;</div><div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899ab093abb14c097b3b7719debb04d5e8ee">REQ_OK</a>;</div><div class="line"><a name="l00046"></a><span class="lineno">   46</span>&#160;}</div><div class="line"><a name="l00047"></a><span class="lineno">   47</span>&#160;</div><div class="line"><a name="l00048"></a><span class="lineno"><a class="line" href="sm-helper_8h.html#a2e62366684e39ea94436bf017e416827">   48</a></span>&#160;<a class="code" href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899">REQ_ERROR</a> <a class="code" href="sm-helper_8c.html#a2e62366684e39ea94436bf017e416827">get_value_int16</a>(<span class="keyword">const</span> <span class="keyword">struct</span> afb_req request, <span class="keyword">const</span> <span class="keywordtype">char</span> *source, int16_t *out_id)</div><div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;{</div><div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;    <span class="keywordtype">char</span>* endptr;</div><div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    <span class="keyword">const</span> <span class="keywordtype">char</span>* tmp = afb_req_value (request, source);</div><div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    <span class="keywordflow">if</span>(!tmp)</div><div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;    {</div><div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899a96a855966bc63045222b3dcac524cee1">REQ_FAIL</a>;</div><div class="line"><a name="l00055"></a><span class="lineno">   55</span>&#160;    }</div><div class="line"><a name="l00056"></a><span class="lineno">   56</span>&#160;    <span class="keywordtype">long</span> tmp_id = strtol(tmp,&amp;endptr,10);</div><div class="line"><a name="l00057"></a><span class="lineno">   57</span>&#160;</div><div class="line"><a name="l00058"></a><span class="lineno">   58</span>&#160;    <span class="comment">/* error check of range */</span></div><div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;    <span class="keywordflow">if</span>( (tmp_id &gt; INT16_MAX) || (tmp_id &lt; INT16_MIN) )</div><div class="line"><a name="l00060"></a><span class="lineno">   60</span>&#160;    {</div><div class="line"><a name="l00061"></a><span class="lineno">   61</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899add1c84bf80c5f80741ee8f37fef1e12b">OUT_RANGE</a>;</div><div class="line"><a name="l00062"></a><span class="lineno">   62</span>&#160;    }</div><div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;    <span class="keywordflow">if</span>(*endptr != <span class="charliteral">&#39;\0&#39;</span>)</div><div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160;    {</div><div class="line"><a name="l00065"></a><span class="lineno">   65</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899aa223eed65c9bee2bf1f4cdecaf90d66a">NOT_NUMBER</a>;</div><div class="line"><a name="l00066"></a><span class="lineno">   66</span>&#160;    }</div><div class="line"><a name="l00067"></a><span class="lineno">   67</span>&#160;</div><div class="line"><a name="l00068"></a><span class="lineno">   68</span>&#160;    *out_id = (int16_t)tmp_id;</div><div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899ab093abb14c097b3b7719debb04d5e8ee">REQ_OK</a>;</div><div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;}</div><div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;</div><div class="line"><a name="l00072"></a><span class="lineno"><a class="line" href="sm-helper_8h.html#ac5b0370643c520377afd3fd4891918d2">   72</a></span>&#160;<a class="code" href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899">REQ_ERROR</a> <a class="code" href="sm-helper_8c.html#ac5b0370643c520377afd3fd4891918d2">get_value_int32</a>(<span class="keyword">const</span> <span class="keyword">struct</span> afb_req request, <span class="keyword">const</span> <span class="keywordtype">char</span> *source, int32_t *out_id)</div><div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;{</div><div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;    <span class="keywordtype">char</span>* endptr;</div><div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    <span class="keyword">const</span> <span class="keywordtype">char</span>* tmp = afb_req_value (request, source);</div><div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    <span class="keywordflow">if</span>(!tmp)</div><div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    {</div><div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899a96a855966bc63045222b3dcac524cee1">REQ_FAIL</a>;</div><div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    }</div><div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    <span class="keywordtype">long</span> tmp_id = strtol(tmp,&amp;endptr,10);</div><div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;</div><div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160;    <span class="comment">/* error check of range */</span></div><div class="line"><a name="l00083"></a><span class="lineno">   83</span>&#160;    <span class="keywordflow">if</span>( (tmp_id &gt; INT32_MAX) || (tmp_id &lt; INT32_MIN) )</div><div class="line"><a name="l00084"></a><span class="lineno">   84</span>&#160;    {</div><div class="line"><a name="l00085"></a><span class="lineno">   85</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899add1c84bf80c5f80741ee8f37fef1e12b">OUT_RANGE</a>;</div><div class="line"><a name="l00086"></a><span class="lineno">   86</span>&#160;    }</div><div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;    <span class="keywordflow">if</span>(*endptr != <span class="charliteral">&#39;\0&#39;</span>)</div><div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    {</div><div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;        <span class="keywordflow">return</span> <a class="code" href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899aa223eed65c9bee2bf1f4cdecaf90d66a">NOT_NUMBER</a>;</div><div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160;    }</div><div class="line"><a name="l00091"></a><span class="lineno">   91</span>&#160;</div><div class="line"><a name="l00092"></a><span class="lineno">   92</span>&#160;    *out_id = (int32_t)tmp_id;</div><div class="line"><a name="l00093"></a><span class="lineno">   93</span>&#160;    <span class="keywordflow">return</span> <a class="code" href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899ab093abb14c097b3b7719debb04d5e8ee">REQ_OK</a>;</div><div class="line"><a name="l00094"></a><span class="lineno">   94</span>&#160;}</div><div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;</div><div class="line"><a name="l00096"></a><span class="lineno"><a class="line" href="sm-helper_8h.html#abce7df03d817a3356071f1563011b77f">   96</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="sm-helper_8c.html#abce7df03d817a3356071f1563011b77f">sm_add_object_to_json_object</a>(<span class="keyword">struct</span> json_object* j_obj, <span class="keywordtype">int</span> count,...)</div><div class="line"><a name="l00097"></a><span class="lineno">   97</span>&#160;{</div><div class="line"><a name="l00098"></a><span class="lineno">   98</span>&#160;    va_list args;</div><div class="line"><a name="l00099"></a><span class="lineno">   99</span>&#160;    va_start(args, count);</div><div class="line"><a name="l00100"></a><span class="lineno">  100</span>&#160;    <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; count; ++i )</div><div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    {</div><div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;        <span class="keywordtype">char</span> *key = va_arg(args, <span class="keywordtype">char</span>*);</div><div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160;        <span class="keywordtype">int</span> value = va_arg(args, <span class="keywordtype">int</span>);</div><div class="line"><a name="l00104"></a><span class="lineno">  104</span>&#160;        json_object_object_add(j_obj, key, json_object_new_int((int32_t)value));</div><div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;        ++i;</div><div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160;    }</div><div class="line"><a name="l00107"></a><span class="lineno">  107</span>&#160;    va_end(args);</div><div class="line"><a name="l00108"></a><span class="lineno">  108</span>&#160;}</div><div class="line"><a name="l00109"></a><span class="lineno">  109</span>&#160;</div><div class="line"><a name="l00110"></a><span class="lineno"><a class="line" href="sm-helper_8h.html#a67cdeffaf2fd293c9f7de73c64e851a9">  110</a></span>&#160;<span class="keywordtype">void</span> <a class="code" href="sm-helper_8c.html#a67cdeffaf2fd293c9f7de73c64e851a9">sm_add_object_to_json_object_func</a>(<span class="keyword">struct</span> json_object* j_obj, <span class="keyword">const</span> <span class="keywordtype">char</span>* verb_name, <span class="keywordtype">int</span> count, ...)</div><div class="line"><a name="l00111"></a><span class="lineno">  111</span>&#160;{</div><div class="line"><a name="l00112"></a><span class="lineno">  112</span>&#160;    va_list args;</div><div class="line"><a name="l00113"></a><span class="lineno">  113</span>&#160;    va_start(args, count);</div><div class="line"><a name="l00114"></a><span class="lineno">  114</span>&#160;    </div><div class="line"><a name="l00115"></a><span class="lineno">  115</span>&#160;    json_object_object_add(j_obj,<span class="stringliteral">&quot;verb&quot;</span>, json_object_new_string(verb_name));</div><div class="line"><a name="l00116"></a><span class="lineno">  116</span>&#160;</div><div class="line"><a name="l00117"></a><span class="lineno">  117</span>&#160;    <span class="keywordflow">for</span>(<span class="keywordtype">int</span> i = 0; i &lt; count; ++i )</div><div class="line"><a name="l00118"></a><span class="lineno">  118</span>&#160;    {</div><div class="line"><a name="l00119"></a><span class="lineno">  119</span>&#160;        <span class="keywordtype">char</span> *key = va_arg(args, <span class="keywordtype">char</span>*);</div><div class="line"><a name="l00120"></a><span class="lineno">  120</span>&#160;        <span class="keywordtype">int</span> value = va_arg(args, <span class="keywordtype">int</span>);</div><div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;        json_object_object_add(j_obj, key, json_object_new_int((int32_t)value));</div><div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160;        ++i;</div><div class="line"><a name="l00123"></a><span class="lineno">  123</span>&#160;    }</div><div class="line"><a name="l00124"></a><span class="lineno">  124</span>&#160;    va_end(args);</div><div class="line"><a name="l00125"></a><span class="lineno">  125</span>&#160;}</div><div class="line"><a name="l00126"></a><span class="lineno">  126</span>&#160;</div><div class="line"><a name="l00127"></a><span class="lineno"><a class="line" href="sm-helper_8h.html#a971c6c55c9b04ae87c377fbde6a4c6f6">  127</a></span>&#160;<span class="keywordtype">int</span> <a class="code" href="sm-helper_8c.html#a971c6c55c9b04ae87c377fbde6a4c6f6">sm_search_event_name_index</a>(<span class="keyword">const</span> <span class="keywordtype">char</span>* value)</div><div class="line"><a name="l00128"></a><span class="lineno">  128</span>&#160;{</div><div class="line"><a name="l00129"></a><span class="lineno">  129</span>&#160;    <span class="keywordtype">size_t</span> buf_size = 50;</div><div class="line"><a name="l00130"></a><span class="lineno">  130</span>&#160;    <span class="keywordtype">size_t</span> size = <span class="keyword">sizeof</span> cmd_evlist / <span class="keyword">sizeof</span> *cmd_evlist;</div><div class="line"><a name="l00131"></a><span class="lineno">  131</span>&#160;    <span class="keywordtype">int</span> ret = -1;</div><div class="line"><a name="l00132"></a><span class="lineno">  132</span>&#160;    <span class="keywordflow">for</span>(<span class="keywordtype">size_t</span> i = 0 ; i &lt; size ; ++i)</div><div class="line"><a name="l00133"></a><span class="lineno">  133</span>&#160;    {</div><div class="line"><a name="l00134"></a><span class="lineno">  134</span>&#160;        <span class="keywordflow">if</span>(!strncmp(value, cmd_evlist[i], buf_size))</div><div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;        {</div><div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160;            ret = i;</div><div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160;            <span class="keywordflow">break</span>;</div><div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;        }</div><div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;    }</div><div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;    <span class="keywordflow">return</span> ret;</div><div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;}</div><div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;</div><div class="line"><a name="l00143"></a><span class="lineno"><a class="line" href="sm-helper_8h.html#a2a63791cfba48b0456aefafe237e419e">  143</a></span>&#160;<span class="keywordtype">int</span> <a class="code" href="sm-helper_8c.html#a2a63791cfba48b0456aefafe237e419e">sm_search_routing_event_name_index</a>(<span class="keyword">const</span> <span class="keywordtype">char</span>* value)</div><div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;{</div><div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160;        <span class="keywordtype">size_t</span> buf_size = 50;</div><div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;    <span class="keywordtype">size_t</span> size = <span class="keyword">sizeof</span> route_evlist / <span class="keyword">sizeof</span> *route_evlist;</div><div class="line"><a name="l00147"></a><span class="lineno">  147</span>&#160;    <span class="keywordtype">int</span> ret = -1;</div><div class="line"><a name="l00148"></a><span class="lineno">  148</span>&#160;    <span class="keywordflow">for</span>(<span class="keywordtype">size_t</span> i = 0 ; i &lt; size ; ++i)</div><div class="line"><a name="l00149"></a><span class="lineno">  149</span>&#160;    {</div><div class="line"><a name="l00150"></a><span class="lineno">  150</span>&#160;        <span class="keywordflow">if</span>(!strncmp(value, route_evlist[i], buf_size))</div><div class="line"><a name="l00151"></a><span class="lineno">  151</span>&#160;        {</div><div class="line"><a name="l00152"></a><span class="lineno">  152</span>&#160;            ret = i;</div><div class="line"><a name="l00153"></a><span class="lineno">  153</span>&#160;            <span class="keywordflow">break</span>;</div><div class="line"><a name="l00154"></a><span class="lineno">  154</span>&#160;        }</div><div class="line"><a name="l00155"></a><span class="lineno">  155</span>&#160;    }</div><div class="line"><a name="l00156"></a><span class="lineno">  156</span>&#160;    <span class="keywordflow">return</span> ret;</div><div class="line"><a name="l00157"></a><span class="lineno">  157</span>&#160;}</div><div class="line"><a name="l00158"></a><span class="lineno">  158</span>&#160;</div><div class="line"><a name="l00159"></a><span class="lineno"><a class="line" href="sm-helper_8h.html#a3da984668307f39d541053eba1d78a83">  159</a></span>&#160;GVariant* <a class="code" href="sm-helper_8c.html#a3da984668307f39d541053eba1d78a83">create_source_data</a>(guint16 sourceID, guint16 domainID, <span class="keyword">const</span> <span class="keywordtype">char</span>* appname, guint16 sourceClassID,</div><div class="line"><a name="l00160"></a><span class="lineno">  160</span>&#160;    gint32  sourceState, gint16 volume, gboolean visible, <span class="keyword">struct</span> <a class="code" href="structavailability__s.html">availability_s</a> availables, </div><div class="line"><a name="l00161"></a><span class="lineno">  161</span>&#160;    guint16 interrupt,  <span class="keyword">struct</span> <a class="code" href="structsound__property__s.html">sound_property_s</a> soundPropertyList, gint32 connectionFormatList, </div><div class="line"><a name="l00162"></a><span class="lineno">  162</span>&#160;    <span class="keyword">struct</span> <a class="code" href="structmain__sound__property__s.html">main_sound_property_s</a> mainPropertyList, <span class="keyword">struct</span> <a class="code" href="structnotification__config__s.html">notification_config_s</a> NConfRouting, </div><div class="line"><a name="l00163"></a><span class="lineno">  163</span>&#160;    <span class="keyword">struct</span> <a class="code" href="structnotification__config__s.html">notification_config_s</a> NConfCommand)</div><div class="line"><a name="l00164"></a><span class="lineno">  164</span>&#160;{</div><div class="line"><a name="l00165"></a><span class="lineno">  165</span>&#160;    GVariantBuilder builder;</div><div class="line"><a name="l00166"></a><span class="lineno">  166</span>&#160;</div><div class="line"><a name="l00167"></a><span class="lineno">  167</span>&#160;    AFB_DEBUG(<span class="stringliteral">&quot;create sourceData %d&quot;</span>, __LINE__);</div><div class="line"><a name="l00168"></a><span class="lineno">  168</span>&#160;    g_variant_builder_init (&amp;builder, G_VARIANT_TYPE (<span class="stringliteral">&quot;(qqsqinb(ii)qa(in)aia(in)a(iin)a(iin))&quot;</span>));</div><div class="line"><a name="l00169"></a><span class="lineno">  169</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;q&quot;</span>, sourceID);</div><div class="line"><a name="l00170"></a><span class="lineno">  170</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;q&quot;</span>, domainID);</div><div class="line"><a name="l00171"></a><span class="lineno">  171</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;s&quot;</span>, appname);</div><div class="line"><a name="l00172"></a><span class="lineno">  172</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;q&quot;</span>, sourceClassID);</div><div class="line"><a name="l00173"></a><span class="lineno">  173</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;i&quot;</span>, sourceState);</div><div class="line"><a name="l00174"></a><span class="lineno">  174</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;n&quot;</span>, volume);</div><div class="line"><a name="l00175"></a><span class="lineno">  175</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;b&quot;</span>, visible);</div><div class="line"><a name="l00176"></a><span class="lineno">  176</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;(ii)&quot;</span>, availables.<a class="code" href="structavailability__s.html#afdad584642d8870c90c54fac11bf25f2">availability</a>, availables.<a class="code" href="structavailability__s.html#a4b332a9ad0ec10f9868932b13683eac5">avalilable_reason</a>);</div><div class="line"><a name="l00177"></a><span class="lineno">  177</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;q&quot;</span>, interrupt);</div><div class="line"><a name="l00178"></a><span class="lineno">  178</span>&#160;</div><div class="line"><a name="l00179"></a><span class="lineno">  179</span>&#160;    g_variant_builder_open(&amp;builder, G_VARIANT_TYPE(<span class="stringliteral">&quot;a(in)&quot;</span>));</div><div class="line"><a name="l00180"></a><span class="lineno">  180</span>&#160;    g_variant_builder_open(&amp;builder, G_VARIANT_TYPE(<span class="stringliteral">&quot;(in)&quot;</span>));</div><div class="line"><a name="l00181"></a><span class="lineno">  181</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;i&quot;</span>, soundPropertyList.<a class="code" href="structsound__property__s.html#ac16b579b78b9552f10922eb2423e3726">type</a>);</div><div class="line"><a name="l00182"></a><span class="lineno">  182</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;n&quot;</span>, soundPropertyList.<a class="code" href="structsound__property__s.html#aa1bc6610497eb0dacff24a31365ac79d">value</a>);</div><div class="line"><a name="l00183"></a><span class="lineno">  183</span>&#160;    g_variant_builder_close(&amp;builder);</div><div class="line"><a name="l00184"></a><span class="lineno">  184</span>&#160;    g_variant_builder_close (&amp;builder);</div><div class="line"><a name="l00185"></a><span class="lineno">  185</span>&#160;</div><div class="line"><a name="l00186"></a><span class="lineno">  186</span>&#160;    g_variant_builder_open(&amp;builder, G_VARIANT_TYPE(<span class="stringliteral">&quot;ai&quot;</span>));</div><div class="line"><a name="l00187"></a><span class="lineno">  187</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;i&quot;</span>, connectionFormatList);</div><div class="line"><a name="l00188"></a><span class="lineno">  188</span>&#160;    g_variant_builder_close (&amp;builder);</div><div class="line"><a name="l00189"></a><span class="lineno">  189</span>&#160;</div><div class="line"><a name="l00190"></a><span class="lineno">  190</span>&#160;    g_variant_builder_open(&amp;builder, G_VARIANT_TYPE(<span class="stringliteral">&quot;a(in)&quot;</span>));</div><div class="line"><a name="l00191"></a><span class="lineno">  191</span>&#160;    g_variant_builder_open(&amp;builder, G_VARIANT_TYPE(<span class="stringliteral">&quot;(in)&quot;</span>));</div><div class="line"><a name="l00192"></a><span class="lineno">  192</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;i&quot;</span>, mainPropertyList.<a class="code" href="structmain__sound__property__s.html#add28376b77aa40fa79c8796a641cb3b4">type</a>);</div><div class="line"><a name="l00193"></a><span class="lineno">  193</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;n&quot;</span>, mainPropertyList.<a class="code" href="structmain__sound__property__s.html#a572bf8dadfcfaefed8ee7971951ee17a">value</a>);</div><div class="line"><a name="l00194"></a><span class="lineno">  194</span>&#160;    g_variant_builder_close (&amp;builder);</div><div class="line"><a name="l00195"></a><span class="lineno">  195</span>&#160;    g_variant_builder_close(&amp;builder);</div><div class="line"><a name="l00196"></a><span class="lineno">  196</span>&#160;</div><div class="line"><a name="l00197"></a><span class="lineno">  197</span>&#160;    g_variant_builder_open(&amp;builder, G_VARIANT_TYPE(<span class="stringliteral">&quot;a(iin)&quot;</span>));</div><div class="line"><a name="l00198"></a><span class="lineno">  198</span>&#160;    g_variant_builder_open(&amp;builder, G_VARIANT_TYPE(<span class="stringliteral">&quot;(iin)&quot;</span>));</div><div class="line"><a name="l00199"></a><span class="lineno">  199</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;i&quot;</span>, NConfRouting.<a class="code" href="structnotification__config__s.html#acf4add4414b451c1a51df3833c7b5663">type</a>);</div><div class="line"><a name="l00200"></a><span class="lineno">  200</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;i&quot;</span>, NConfRouting.<a class="code" href="structnotification__config__s.html#aecb3551971d549a59efa011e7c1679a4">status</a>);</div><div class="line"><a name="l00201"></a><span class="lineno">  201</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;n&quot;</span>, NConfRouting.<a class="code" href="structnotification__config__s.html#a1352c4e312f72d3815e1478e4b5d910f">parameter</a>);</div><div class="line"><a name="l00202"></a><span class="lineno">  202</span>&#160;    g_variant_builder_close(&amp;builder);</div><div class="line"><a name="l00203"></a><span class="lineno">  203</span>&#160;    g_variant_builder_close (&amp;builder);</div><div class="line"><a name="l00204"></a><span class="lineno">  204</span>&#160;</div><div class="line"><a name="l00205"></a><span class="lineno">  205</span>&#160;</div><div class="line"><a name="l00206"></a><span class="lineno">  206</span>&#160;    g_variant_builder_open(&amp;builder, G_VARIANT_TYPE(<span class="stringliteral">&quot;a(iin)&quot;</span>));</div><div class="line"><a name="l00207"></a><span class="lineno">  207</span>&#160;    g_variant_builder_open(&amp;builder, G_VARIANT_TYPE(<span class="stringliteral">&quot;(iin)&quot;</span>));</div><div class="line"><a name="l00208"></a><span class="lineno">  208</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;i&quot;</span>, NConfCommand.<a class="code" href="structnotification__config__s.html#acf4add4414b451c1a51df3833c7b5663">type</a>);</div><div class="line"><a name="l00209"></a><span class="lineno">  209</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;i&quot;</span>, NConfCommand.<a class="code" href="structnotification__config__s.html#aecb3551971d549a59efa011e7c1679a4">status</a>);</div><div class="line"><a name="l00210"></a><span class="lineno">  210</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;n&quot;</span>, NConfCommand.<a class="code" href="structnotification__config__s.html#a1352c4e312f72d3815e1478e4b5d910f">parameter</a>);</div><div class="line"><a name="l00211"></a><span class="lineno">  211</span>&#160;    g_variant_builder_close(&amp;builder);</div><div class="line"><a name="l00212"></a><span class="lineno">  212</span>&#160;    g_variant_builder_close (&amp;builder);</div><div class="line"><a name="l00213"></a><span class="lineno">  213</span>&#160;</div><div class="line"><a name="l00214"></a><span class="lineno">  214</span>&#160;    AFB_DEBUG(<span class="stringliteral">&quot;created sourceData %d&quot;</span>, __LINE__);</div><div class="line"><a name="l00215"></a><span class="lineno">  215</span>&#160;    <span class="keywordflow">return</span> g_variant_builder_end (&amp;builder);</div><div class="line"><a name="l00216"></a><span class="lineno">  216</span>&#160;}</div><div class="line"><a name="l00217"></a><span class="lineno">  217</span>&#160;</div><div class="line"><a name="l00218"></a><span class="lineno"><a class="line" href="sm-helper_8h.html#a6b6746be407c77c641065a76fcbff019">  218</a></span>&#160;GVariant* <a class="code" href="sm-helper_8c.html#af76a3fdf18a0f4ce83e6732e34d30344">create_domain_data</a>(<span class="keyword">struct</span> <a class="code" href="structdomain__data.html">domain_data</a>* data)</div><div class="line"><a name="l00219"></a><span class="lineno">  219</span>&#160;{</div><div class="line"><a name="l00220"></a><span class="lineno">  220</span>&#160;    GVariantBuilder builder;</div><div class="line"><a name="l00221"></a><span class="lineno">  221</span>&#160;    g_variant_builder_init (&amp;builder, G_VARIANT_TYPE (<span class="stringliteral">&quot;(qsssbbn)&quot;</span>));</div><div class="line"><a name="l00222"></a><span class="lineno">  222</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;q&quot;</span>, data-&gt;<a class="code" href="structdomain__data.html#af1c7931d89ac01836657748e3afb43ca">domainID</a>);</div><div class="line"><a name="l00223"></a><span class="lineno">  223</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;s&quot;</span>, data-&gt;<a class="code" href="structdomain__data.html#a2a5bf2d2e6d9e6fef58e0bfea0826fe0">name</a>);</div><div class="line"><a name="l00224"></a><span class="lineno">  224</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;s&quot;</span>, data-&gt;<a class="code" href="structdomain__data.html#a603ca16c36c8c013d730b9ec3ea35a55">busname</a>);</div><div class="line"><a name="l00225"></a><span class="lineno">  225</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;s&quot;</span>, data-&gt;<a class="code" href="structdomain__data.html#aab4ab8994549b8cbbed43af384689376">nodename</a>);</div><div class="line"><a name="l00226"></a><span class="lineno">  226</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;b&quot;</span>, data-&gt;<a class="code" href="structdomain__data.html#aad5a74265fdf352557e3bd4b7585870f">early</a>);</div><div class="line"><a name="l00227"></a><span class="lineno">  227</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;b&quot;</span>, data-&gt;<a class="code" href="structdomain__data.html#a10955225b49f816c5a29750d86bd357c">complete</a>);</div><div class="line"><a name="l00228"></a><span class="lineno">  228</span>&#160;    g_variant_builder_add (&amp;builder, <span class="stringliteral">&quot;n&quot;</span>, data-&gt;<a class="code" href="structdomain__data.html#a649ef6684cb3eda8998e84569d336ad2">state</a>);</div><div class="line"><a name="l00229"></a><span class="lineno">  229</span>&#160;    AFB_DEBUG(<span class="stringliteral">&quot;created domainData %d&quot;</span>, __LINE__);</div><div class="line"><a name="l00230"></a><span class="lineno">  230</span>&#160;    <span class="keywordflow">return</span> g_variant_builder_end (&amp;builder);</div><div class="line"><a name="l00231"></a><span class="lineno">  231</span>&#160;}</div><div class="ttc" id="structdomain__data_html_aab4ab8994549b8cbbed43af384689376"><div class="ttname"><a href="structdomain__data.html#aab4ab8994549b8cbbed43af384689376">domain_data::nodename</a></div><div class="ttdeci">gchar * nodename</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00073">sm-helper.h:73</a></div></div>
<div class="ttc" id="structdomain__data_html_a2a5bf2d2e6d9e6fef58e0bfea0826fe0"><div class="ttname"><a href="structdomain__data.html#a2a5bf2d2e6d9e6fef58e0bfea0826fe0">domain_data::name</a></div><div class="ttdeci">gchar * name</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00071">sm-helper.h:71</a></div></div>
<div class="ttc" id="structmain__sound__property__s_html_add28376b77aa40fa79c8796a641cb3b4"><div class="ttname"><a href="structmain__sound__property__s.html#add28376b77aa40fa79c8796a641cb3b4">main_sound_property_s::type</a></div><div class="ttdeci">gint32 type</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00065">sm-helper.h:65</a></div></div>
<div class="ttc" id="structavailability__s_html_afdad584642d8870c90c54fac11bf25f2"><div class="ttname"><a href="structavailability__s.html#afdad584642d8870c90c54fac11bf25f2">availability_s::availability</a></div><div class="ttdeci">gint32 availability</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00056">sm-helper.h:56</a></div></div>
<div class="ttc" id="structsound__property__s_html_aa1bc6610497eb0dacff24a31365ac79d"><div class="ttname"><a href="structsound__property__s.html#aa1bc6610497eb0dacff24a31365ac79d">sound_property_s::value</a></div><div class="ttdeci">gint16 value</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00053">sm-helper.h:53</a></div></div>
<div class="ttc" id="sm-helper_8h_html_aa49f1dbbf26f01627a5737cf43aad899aa223eed65c9bee2bf1f4cdecaf90d66a"><div class="ttname"><a href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899aa223eed65c9bee2bf1f4cdecaf90d66a">NOT_NUMBER</a></div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00030">sm-helper.h:30</a></div></div>
<div class="ttc" id="structdomain__data_html_a649ef6684cb3eda8998e84569d336ad2"><div class="ttname"><a href="structdomain__data.html#a649ef6684cb3eda8998e84569d336ad2">domain_data::state</a></div><div class="ttdeci">gint16 state</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00076">sm-helper.h:76</a></div></div>
<div class="ttc" id="sm-helper_8c_html_a67cdeffaf2fd293c9f7de73c64e851a9"><div class="ttname"><a href="sm-helper_8c.html#a67cdeffaf2fd293c9f7de73c64e851a9">sm_add_object_to_json_object_func</a></div><div class="ttdeci">void sm_add_object_to_json_object_func(struct json_object *j_obj, const char *verb_name, int count,...)</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8c_source.html#l00110">sm-helper.c:110</a></div></div>
<div class="ttc" id="structdomain__data_html_a10955225b49f816c5a29750d86bd357c"><div class="ttname"><a href="structdomain__data.html#a10955225b49f816c5a29750d86bd357c">domain_data::complete</a></div><div class="ttdeci">gboolean complete</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00075">sm-helper.h:75</a></div></div>
<div class="ttc" id="structavailability__s_html"><div class="ttname"><a href="structavailability__s.html">availability_s</a></div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00055">sm-helper.h:55</a></div></div>
<div class="ttc" id="structavailability__s_html_a4b332a9ad0ec10f9868932b13683eac5"><div class="ttname"><a href="structavailability__s.html#a4b332a9ad0ec10f9868932b13683eac5">availability_s::avalilable_reason</a></div><div class="ttdeci">gint32 avalilable_reason</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00057">sm-helper.h:57</a></div></div>
<div class="ttc" id="structnotification__config__s_html_a1352c4e312f72d3815e1478e4b5d910f"><div class="ttname"><a href="structnotification__config__s.html#a1352c4e312f72d3815e1478e4b5d910f">notification_config_s::parameter</a></div><div class="ttdeci">gint16 parameter</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00062">sm-helper.h:62</a></div></div>
<div class="ttc" id="structdomain__data_html"><div class="ttname"><a href="structdomain__data.html">domain_data</a></div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00069">sm-helper.h:69</a></div></div>
<div class="ttc" id="structmain__sound__property__s_html"><div class="ttname"><a href="structmain__sound__property__s.html">main_sound_property_s</a></div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00064">sm-helper.h:64</a></div></div>
<div class="ttc" id="sm-helper_8h_html_aa49f1dbbf26f01627a5737cf43aad899add1c84bf80c5f80741ee8f37fef1e12b"><div class="ttname"><a href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899add1c84bf80c5f80741ee8f37fef1e12b">OUT_RANGE</a></div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00031">sm-helper.h:31</a></div></div>
<div class="ttc" id="sm-helper_8c_html_a2e62366684e39ea94436bf017e416827"><div class="ttname"><a href="sm-helper_8c.html#a2e62366684e39ea94436bf017e416827">get_value_int16</a></div><div class="ttdeci">REQ_ERROR get_value_int16(const struct afb_req request, const char *source, int16_t *out_id)</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8c_source.html#l00048">sm-helper.c:48</a></div></div>
<div class="ttc" id="sm-helper_8h_html"><div class="ttname"><a href="sm-helper_8h.html">sm-helper.h</a></div></div>
<div class="ttc" id="structdomain__data_html_af1c7931d89ac01836657748e3afb43ca"><div class="ttname"><a href="structdomain__data.html#af1c7931d89ac01836657748e3afb43ca">domain_data::domainID</a></div><div class="ttdeci">guint16 domainID</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00070">sm-helper.h:70</a></div></div>
<div class="ttc" id="structnotification__config__s_html"><div class="ttname"><a href="structnotification__config__s.html">notification_config_s</a></div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00059">sm-helper.h:59</a></div></div>
<div class="ttc" id="sm-helper_8c_html_a971c6c55c9b04ae87c377fbde6a4c6f6"><div class="ttname"><a href="sm-helper_8c.html#a971c6c55c9b04ae87c377fbde6a4c6f6">sm_search_event_name_index</a></div><div class="ttdeci">int sm_search_event_name_index(const char *value)</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8c_source.html#l00127">sm-helper.c:127</a></div></div>
<div class="ttc" id="sm-helper_8c_html_a649900645417f2df3a70b9ad67529f53"><div class="ttname"><a href="sm-helper_8c.html#a649900645417f2df3a70b9ad67529f53">get_value_uint16</a></div><div class="ttdeci">REQ_ERROR get_value_uint16(const struct afb_req request, const char *source, uint16_t *out_id)</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8c_source.html#l00024">sm-helper.c:24</a></div></div>
<div class="ttc" id="structnotification__config__s_html_acf4add4414b451c1a51df3833c7b5663"><div class="ttname"><a href="structnotification__config__s.html#acf4add4414b451c1a51df3833c7b5663">notification_config_s::type</a></div><div class="ttdeci">gint32 type</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00060">sm-helper.h:60</a></div></div>
<div class="ttc" id="structmain__sound__property__s_html_a572bf8dadfcfaefed8ee7971951ee17a"><div class="ttname"><a href="structmain__sound__property__s.html#a572bf8dadfcfaefed8ee7971951ee17a">main_sound_property_s::value</a></div><div class="ttdeci">gint16 value</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00066">sm-helper.h:66</a></div></div>
<div class="ttc" id="sm-helper_8h_html_aa49f1dbbf26f01627a5737cf43aad899ab093abb14c097b3b7719debb04d5e8ee"><div class="ttname"><a href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899ab093abb14c097b3b7719debb04d5e8ee">REQ_OK</a></div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00029">sm-helper.h:29</a></div></div>
<div class="ttc" id="structsound__property__s_html_ac16b579b78b9552f10922eb2423e3726"><div class="ttname"><a href="structsound__property__s.html#ac16b579b78b9552f10922eb2423e3726">sound_property_s::type</a></div><div class="ttdeci">guint16 type</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00052">sm-helper.h:52</a></div></div>
<div class="ttc" id="structdomain__data_html_aad5a74265fdf352557e3bd4b7585870f"><div class="ttname"><a href="structdomain__data.html#aad5a74265fdf352557e3bd4b7585870f">domain_data::early</a></div><div class="ttdeci">gboolean early</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00074">sm-helper.h:74</a></div></div>
<div class="ttc" id="structnotification__config__s_html_aecb3551971d549a59efa011e7c1679a4"><div class="ttname"><a href="structnotification__config__s.html#aecb3551971d549a59efa011e7c1679a4">notification_config_s::status</a></div><div class="ttdeci">gint32 status</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00061">sm-helper.h:61</a></div></div>
<div class="ttc" id="sm-helper_8c_html_ac5b0370643c520377afd3fd4891918d2"><div class="ttname"><a href="sm-helper_8c.html#ac5b0370643c520377afd3fd4891918d2">get_value_int32</a></div><div class="ttdeci">REQ_ERROR get_value_int32(const struct afb_req request, const char *source, int32_t *out_id)</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8c_source.html#l00072">sm-helper.c:72</a></div></div>
<div class="ttc" id="sm-helper_8c_html_abce7df03d817a3356071f1563011b77f"><div class="ttname"><a href="sm-helper_8c.html#abce7df03d817a3356071f1563011b77f">sm_add_object_to_json_object</a></div><div class="ttdeci">void sm_add_object_to_json_object(struct json_object *j_obj, int count,...)</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8c_source.html#l00096">sm-helper.c:96</a></div></div>
<div class="ttc" id="structdomain__data_html_a603ca16c36c8c013d730b9ec3ea35a55"><div class="ttname"><a href="structdomain__data.html#a603ca16c36c8c013d730b9ec3ea35a55">domain_data::busname</a></div><div class="ttdeci">gchar * busname</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00072">sm-helper.h:72</a></div></div>
<div class="ttc" id="structsound__property__s_html"><div class="ttname"><a href="structsound__property__s.html">sound_property_s</a></div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00051">sm-helper.h:51</a></div></div>
<div class="ttc" id="sm-helper_8c_html_af76a3fdf18a0f4ce83e6732e34d30344"><div class="ttname"><a href="sm-helper_8c.html#af76a3fdf18a0f4ce83e6732e34d30344">create_domain_data</a></div><div class="ttdeci">GVariant * create_domain_data(struct domain_data *data)</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8c_source.html#l00218">sm-helper.c:218</a></div></div>
<div class="ttc" id="sm-helper_8h_html_aa49f1dbbf26f01627a5737cf43aad899a96a855966bc63045222b3dcac524cee1"><div class="ttname"><a href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899a96a855966bc63045222b3dcac524cee1">REQ_FAIL</a></div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00028">sm-helper.h:28</a></div></div>
<div class="ttc" id="sm-helper_8c_html_a3da984668307f39d541053eba1d78a83"><div class="ttname"><a href="sm-helper_8c.html#a3da984668307f39d541053eba1d78a83">create_source_data</a></div><div class="ttdeci">GVariant * create_source_data(guint16 sourceID, guint16 domainID, const char *appname, guint16 sourceClassID, gint32 sourceState, gint16 volume, gboolean visible, struct availability_s availables, guint16 interrupt, struct sound_property_s soundPropertyList, gint32 connectionFormatList, struct main_sound_property_s mainPropertyList, struct notification_config_s NConfRouting, struct notification_config_s NConfCommand)</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8c_source.html#l00159">sm-helper.c:159</a></div></div>
<div class="ttc" id="sm-helper_8h_html_aa49f1dbbf26f01627a5737cf43aad899"><div class="ttname"><a href="sm-helper_8h.html#aa49f1dbbf26f01627a5737cf43aad899">REQ_ERROR</a></div><div class="ttdeci">REQ_ERROR</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8h_source.html#l00026">sm-helper.h:26</a></div></div>
<div class="ttc" id="sm-helper_8c_html_a2a63791cfba48b0456aefafe237e419e"><div class="ttname"><a href="sm-helper_8c.html#a2a63791cfba48b0456aefafe237e419e">sm_search_routing_event_name_index</a></div><div class="ttdeci">int sm_search_routing_event_name_index(const char *value)</div><div class="ttdef"><b>Definition:</b> <a href="sm-helper_8c_source.html#l00143">sm-helper.c:143</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_fc265b39262ea2713c037617d421974d.html">R:</a></li><li class="navelem"><a class="el" href="dir_c0f9ac54811231ea41ecdb457a109fa8.html">SoundManagerBinding</a></li><li class="navelem"><a class="el" href="dir_0edebbbd890f462231084d11aa59ffa6.html">src</a></li><li class="navelem"><a class="el" href="sm-helper_8c.html">sm-helper.c</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
